%define svn_ver 32719
Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	The MPlayer package contains an audio/video player
Name:		MPlayer
Version:	1.0
Release:	8
Epoch:		1
BuildArch:	i686
License:	GNU/GPL
URL:		http://www.mplayerhq.hu
Group:		Multimedia/Video
BuildRoot: 	%{_tmppath}/%{name}-buildroot

Source0:	mplayer-svn-%{svn_ver}.tar.bz2

Source200:	Blue-1.4.tar.bz2
Source201:	font-arial-iso-8859-1.tar.bz2
Source202:	mplayer.png
Source203:	mplayer.desktop

# add VA-API hardware accelerated H.264, WMV3/VC1, MPEG2 and MPEG4 playback support
# patches taken from
# http://www.splitted-desktop.com/~gbeauchesne/mplayer-vaapi/

Patch10:        mplayer-vaapi.patch
Patch11:	mplayer-vaapi-gma500-workaround.patch  
Patch12:        mplayer-vaapi-0.29.patch
Patch13:	mplayer-vdpau.patch

# add support for VP8
Patch14:	mplayer-libvpx.patch

Obsoletes:	mplayer

Requires: 	mplayer-codecs ffmpeg

BuildRequires: 	mplayer-codecs 

# the nvidia version of libGL might get drawn in, so
# we better make sure it isn't there during linking
#BuildConflicts: xorg-x11-drv-nvidia
#BuildConflicts: xorg-x11-drv-nvidia-legacy
#BuildConflicts: xorg-x11-drv-nvidia-legacy96xx

BuildRequires: libva-devel
BuildRequires: libvdpau-devel
BuildRequires: vdpau-video
Requires:      vdpau-video

BuildRequires: samba-devel
BuildRequires: vstream-client-devel
BuildRequires: rtmpdump
BuildRequires: librtmp-devel
BuildRequires: ffmpeg-devel
BuildRequires: ladspa-devel
BuildRequires: libvpx-devel
BuildRequires: mpg123-devel
BuildRequires: enca-devel
BuildRequires: libbluray-devel
BuildRequires: openjpeg-devel
BuildRequires: libcdio-devel
BuildRequires: cdparanoia-III-devel
BuildRequires: liba52-devel
BuildRequires: opencore-amr-devel
BuildRequires: orc-devel
BuildRequires: schroedinger-devel
BuildRequires: lirc-devel
BuildRequires: libbs2b-devel
BuildRequires: libxcb-devel
BuildRequires: xcb-util-devel
BuildRequires: yasm-devel

#Automatically resolved build dependencies
BuildRequires: aalib-devel
BuildRequires: alsa-lib-devel
BuildRequires: amrnb-devel
BuildRequires: amrwb-devel
BuildRequires: atk-devel
BuildRequires: bzip2-devel
BuildRequires: cairo-devel
BuildRequires: cdparanoia-III-libs
BuildRequires: DirectFB-devel
BuildRequires: esound-libs-devel
BuildRequires: faac-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: fribidi-devel
BuildRequires: giflib-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: lame-devel
BuildRequires: libdca-devel
BuildRequires: libdv-devel
BuildRequires: libdvdnav-devel >= 4.1.3 libdvdnav >= 4.1.3
BuildRequires: libgcc
BuildRequires: libjpeg-devel
BuildRequires: libmad-devel
BuildRequires: libmng-devel
BuildRequires: libmpcdec-devel
BuildRequires: libnut-devel
BuildRequires: libogg-devel
BuildRequires: liboil-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++-devel
BuildRequires: libtheora-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXinerama-devel
BuildRequires: libXScrnSaver-devel
BuildRequires: libXv-devel
BuildRequires: libXxf86dga-devel
BuildRequires: libXxf86vm-devel
BuildRequires: lzo-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: ncurses-devel
BuildRequires: openal-devel >= 1.10.622 openal >= 1.10.622
BuildRequires: pango-devel
BuildRequires: pulseaudio-libs-devel
BuildRequires: samba-common
BuildRequires: schroedinger-devel
BuildRequires: SDL-devel
BuildRequires: speex-devel
BuildRequires: twolame-devel
BuildRequires: x264-devel
BuildRequires: xmms-devel
BuildRequires: xvidcore-devel
BuildRequires: zlib-devel em8300-devel

%description
The MPlayer package contains an audio/video player
which is able to play almost every popular audio and video file format and CODEC  (COder/DECoder, also COmpressor/DECompressor).

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n mplayer

%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1

%patch14 -p0

%build
./configure \
--prefix=%_prefix \
--confdir=%_sysconfdir/mplayer \
--enable-largefiles \
--language=all \
--enable-xshape \
--enable-gui \
--enable-menu \
--codecsdir=%_libdir/mplayer/codecs \
--mandir=%_mandir \
--enable-dvb \
--enable-dxr3 \
--enable-runtime-cpudetection \
--enable-twolame \
--enable-libnut \
--enable-dvdnav \
--enable-radio \
--enable-radio-capture \
--enable-xmms \
--enable-vaapi \
--enable-vdpau
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
install -d -m755 $RPM_BUILD_ROOT/usr/share/mplayer/Skin/default
install -d -m755 $RPM_BUILD_ROOT/usr/share/mplayer/font
install -d -m755 $RPM_BUILD_ROOT/etc/mplayer
tar xfj %{SOURCE200} -C $RPM_BUILD_ROOT/usr/share/mplayer/Skin/default --strip-components 1
tar xfj %{SOURCE201} -C $RPM_BUILD_ROOT/usr/share/mplayer/font
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/usr/share/applications
rm -rf $RPM_BUILD_ROOT/usr/share/pixmaps
install -m 755 -d $RPM_BUILD_ROOT/usr/share/applications
install -m 755 -d $RPM_BUILD_ROOT/usr/share/pixmaps
cp %{SOURCE202} $RPM_BUILD_ROOT/usr/share/pixmaps
cp %{SOURCE203} $RPM_BUILD_ROOT/usr/share/applications
cp etc/codecs.conf $RPM_BUILD_ROOT/etc/mplayer/codecs.conf
cd $RPM_BUILD_ROOT/usr/share/mplayer/font
ln -sf  font-arial-iso-8859-1/font-arial-14-iso-8859-1/* .

%files
%defattr(-,root,root)
%config %_sysconfdir/mplayer/codecs.conf
%{_bindir}/mencoder
%{_bindir}/mplayer
%{_bindir}/gmplayer
%{_applications}/mplayer.desktop
%{_mandir}/*/man1/mencoder.1.gz
%{_mandir}/*/man1/mplayer.1.gz
%{_mandir}/man1/mencoder.1.gz
%{_mandir}/man1/mplayer.1.gz

%{_datadir}/mplayer
%{_pixmaps}/mplayer.png

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Dec 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:1.0-8
- rebuilt against libva 1.0.6
* Sun Dec 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:1.0-7
- svn 32719
* Sun Aug 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:1.0-6
- rebuilt
* Thu Jul 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:1.0-5
- svn 31722
* Mon May 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:1.0-4
- svn 31027
* Wed Mar 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:1.0-3
- svn 30881
- enabled libva support
* Tue Feb 10 2010 Christian Metzen <metzench@ccux-linux.de> 1:1.0-2
- rebuild against openal 1.10.622
* Sat Dec 26 2009 Christian Metzen <metzench@ccux-linux.de> 1:1.0-1
- tag package as 1.0
- svn 30112
* Sat Sep 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0rc2-8
- svn 29694
* Tue Sep 01 2009 Christian Metzen <metzench@ccux-linux.de> 1.0rc2-7
- rebuilt against libjpeg 7
* Sat Apr 18 2009 Christian Wasem <wasem@ccux-linux.de> 1.0rc2-6
- rebuild against SDL-1.2.13-3
* Fri Aug 22 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0rc2-5
- added requires for library dependencies not resolved automatically
 (should fix crashes with mplayerplug-in)
* Fri Aug 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0rc2-4
- rebuilt properly without nvidia GL core
- version update to SVN Revision 27467
* Tue Jul 01 2008 Christian Metzen <metzench@ccux-linux.de> 1.0rc2-3
- version update to SVN Revision 27184
* Thu Jan 03 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.0rc2-2
- version update to SVN Revision 25593
* Sun Aug 05 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.0rc2-1
- version update to SVN Revision 24966 (fix CDDB security bug)
* Tue Apr 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0rc1-6
- rebuilt against libmpcdec 1.2.5
* Wed Feb 07 2007 Christian Metzen <metzench@ccux-linux.de> 1.0rc1-5
- rebuilt against giflib
* Sat Dec 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0rc1-4
- rebuilt against SDL 1.2.11
* Sun Nov 26 2006 Stefan Gottwald <gotti@ccux-linux.de> 1.0rc1-3
- added live patch for avoiding compile errors with installed live
- rebuild against new ffmpeg
* Sat Nov 04 2006 Christian Metzen <metzench@ccux-linux.de> 1.0rc1-2
- added dxr3 backend, runtime cpu detection
* Tue Oct 24 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0rc1-1
- Version update
* Thu Sep 14 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0pre8-3
- updated to svn 14092006
* Sun Jun 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0pre8-2
- added Provides list
* Mon Jun 12 2006 Christian Metzen <metzench@ccux-linux.de> 1.0pre8-1
- Version update, changed package name, redefined files list
* Sun Apr 17 2005 Christian Metzen <metzench@ccux-linux.de> 1.0pre7-1
- Version Update to 1.0pre7 / Moved .desktop Location
* Sun Jan 02 2005 Christian Metzen <metzench@ccux-linux.de> 1.0pre6-2
- Removed Double Menu Entries
* Wed Dec 29 2004 Christian Metzen <metzench@ccux-linux.de> 1.0pre6-1
- Update to Version 1.0pre6
* Fri Nov 19 2004 Christian Metzen <metzench@ccux-linux.de> 1.0pre5-3
- Initial Release 
